View Issue Details

IDProjectCategoryView StatusLast Update
0012067ScribusUsabilitypublic2016-05-12 14:38
ReporterFirasH Assigned Tofschmid  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSopenSUSEOS Version13.1
Product Version1.5.0svn 
Target Version1.5.2Fixed in Version1.5.2.svn 
Summary0012067: Inline Items are wrongly placed in Text Frames
DescriptionInline Items are placed differently in "edit mode" and inside Text Frames.

It would be nice to have the ability to adapt the size of the Inline Item Page to the size of the Inline Item (even changing it manually from "Manage Page Properties...", it is not saved after reopening the edit mode of the Inline Item).
Steps To Reproduce0) Create a new document and make sure Windows > "Inline Frames" is opened
1) Add a Shape (small)
2) Send the Shape to Inline Items
3) From "Inline Frames" Window edit the Shape:
Select the Shape and rotate (R) it about 45°.

4) Click on "End Edit"
Now, if you reopen the edit mode, the Shape is aligned to the top and left margin of the original Shape size (partially out of the page).

5) Insert a Text Frame and load some Sample Text
6) Paste the Inline Item somewhere in the text
The Shape is aligned to the bottom and left margin of the original shape size.
Additional InformationScribus 1.5.0 SVN 18815 - Qt 5.2.0
Tagsinline, rotate
PatchNo

Relationships

related to 0011359 closedfschmid Missing redraw of inline frames 

Activities

Kunda

2016-05-10 19:16

updater   ~0040948

franz committed fix in r21301
Please test

Kunda

2016-05-11 03:42

updater   ~0040956

Looks fixed on 10.10.5 1.5.2svn r21301 Qt5.6

Kunda

2016-05-12 13:11

updater   ~0040968

Firash, please confirm. thx

FirasH

2016-05-12 14:38

developer   ~0040978

Thanks fschmid!
Fixed in 1.5.2.svn (21301).

Issue History

Date Modified Username Field Change
2014-02-15 22:57 FirasH New Issue
2014-03-09 09:06 jghali Fixed in Version => 1.4.4.svn
2014-03-09 09:37 jghali Fixed in Version 1.4.4.svn =>
2015-05-25 04:19 Kunda Patch => No
2015-05-25 04:19 Kunda Target Version => 1.6 milestone
2016-05-10 19:01 fschmid Target Version 1.6 milestone => 1.5.2
2016-05-10 19:03 fschmid Status new => resolved
2016-05-10 19:03 fschmid Fixed in Version => 1.5.2.svn
2016-05-10 19:03 fschmid Resolution open => fixed
2016-05-10 19:03 fschmid Assigned To => fschmid
2016-05-10 19:11 Kunda Tag Attached: inline
2016-05-10 19:15 Kunda Relationship added related to 0011359
2016-05-10 19:16 Kunda Note Added: 0040948
2016-05-10 19:58 Kunda Tag Attached: rotate
2016-05-11 03:42 Kunda Note Added: 0040956
2016-05-12 13:11 Kunda Note Added: 0040968
2016-05-12 14:38 FirasH Note Added: 0040978
2016-05-12 14:38 FirasH Status resolved => closed